--- policy.orig/domains/program/apache.te	2004-11-21 17:40:33.316750200 -0500
+++ policy/domains/program/apache.te	2004-11-21 17:58:02.679222856 -0500
@@ -23,6 +23,8 @@
 
 bool httpd_unified false;
 
+bool httpd_content_writable false;
+
 # Allow httpd cgi support
 bool httpd_enable_cgi false;
 
@@ -334,3 +336,10 @@
 ')
 allow { httpd_t httpd_helper_t } admin_tty_type:chr_file { read write };
 }
+
+#for customizing 
+type httpd_rw_t, file_type,sysadmfile,httpdcontent;
+create_dir_file(httpd_t, httpd_rw_t)
+type httpd_ra_t, file_type,sysadmfile,httpdcontent;
+ra_dir_file(httpd_t,httpd_ra_t)
+
